Package org.eclipse.gef.common.beans.property

# Class MultisetProperty<E>

java.lang.Object
org.eclipse.gef.common.beans.binding.MultisetExpression<E>
org.eclipse.gef.common.beans.property.ReadOnlyMultisetProperty<E>
org.eclipse.gef.common.beans.property.MultisetProperty<E>

Type Parameters:
  `E` - The element type of the wrapped `ObservableMultiset`.

All Implemented Interfaces:
  `Multiset<E>`, `Iterable<E>`, `Collection<E>`, `Observable`, `Property<ObservableMultiset<E>>`, `ReadOnlyProperty<ObservableMultiset<E>>`, `ObservableObjectValue<ObservableMultiset<E>>`, `ObservableValue<ObservableMultiset<E>>`, `WritableObjectValue<ObservableMultiset<E>>`, `WritableValue<ObservableMultiset<E>>`, `ObservableMultisetValue<E>`, `WritableMultisetValue<E>`, `ObservableMultiset<E>`

Direct Known Subclasses:
  `MultisetPropertyBase`

public abstract class MultisetProperty<E> extends ReadOnlyMultisetProperty<E> implements Property<ObservableMultiset<E>>, WritableMultisetValue<E>
Abstract base class defining contract for a `Property` wrapping a `ObservableMultiset`.

This class provides identical functionality for `Multiset` as `MapProperty` for `Map`, `SetProperty` for `Set`, or `ListProperty` for `List`.

## Property Summary

### Properties inherited from class org.eclipse.gef.common.beans.binding.MultisetExpression

`empty, size`

## Nested Class Summary

## Nested classes/interfaces inherited from interface com.google.common.collect.Multiset

`Multiset.Entry<E extends Object>`

## Constructor Summary

Constructors
Constructor
Description
`MultisetProperty()`

## Method Summary

Modifier and Type
Method
Description
`void`
`bindBidirectional(Property<ObservableMultiset<E>> other)`
`void`
`setValue(ObservableMultiset<E> v)`
`void`
`unbindBidirectional(Property<ObservableMultiset<E>> other)`

### Methods inherited from class org.eclipse.gef.common.beans.property.ReadOnlyMultisetProperty

`appendValueToString, bindContent, bindContentBidirectional, equals, hashCode, toString, unbindContent, unbindContentBidirectional`

### Methods inherited from class org.eclipse.gef.common.beans.binding.MultisetExpression

`add, add, addAll, asString, clear, contains, containsAll, count, elementSet, emptyProperty, entrySet, getValue, isEmpty, isEqualTo, isNotEqualTo, isNotNull, isNull, iterator, multisetExpression, remove, remove, removeAll, replaceAll, retainAll, setCount, setCount, size, sizeProperty, toArray, toArray`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`addAll, clear, isEmpty, parallelStream, removeIf, stream, toArray, toArray, toArray`

### Methods inherited from interface com.google.common.collect.Multiset

`add, add, contains, containsAll, count, elementSet, entrySet, equals, forEach, forEachEntry, hashCode, iterator, remove, remove, removeAll, retainAll, setCount, setCount, size, spliterator, toString`

### Methods inherited from interface javafx.beans.Observable

`addListener, removeListener`

### Methods inherited from interface org.eclipse.gef.common.collections.ObservableMultiset

`addListener, removeListener, replaceAll`

### Methods inherited from interface javafx.beans.value.ObservableObjectValue

`get`

### Methods inherited from interface javafx.beans.value.ObservableValue

`addListener, getValue, removeListener`

### Methods inherited from interface javafx.beans.property.Property

`bind, isBound, unbind`

### Methods inherited from interface javafx.beans.property.ReadOnlyProperty

`getBean, getName`

### Methods inherited from interface javafx.beans.value.WritableObjectValue

`get, set`

### Methods inherited from interface javafx.beans.value.WritableValue

`getValue`

## Constructor Details

### MultisetProperty

public MultisetProperty()

## Method Details

### bindBidirectional

public void bindBidirectional(Property<ObservableMultiset<E>> other)

Specified by:
  `bindBidirectional` in interface `Property<E>`

### setValue

public void setValue(ObservableMultiset<E> v)

Specified by:
  `setValue` in interface `WritableValue<E>`

### unbindBidirectional

public void unbindBidirectional(Property<ObservableMultiset<E>> other)

Specified by:
  `unbindBidirectional` in interface `Property<E>`